USE [eXtendedLogging]
GO

/****** Object:  View [dbo].[eXtended_Logging_GETLOG]    Script Date: 06/17/2013 16:05:21 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[eXtended_Logging_GETLOG]
AS
SELECT     dbo.eXtended_Logging_LOG.LogID, dbo.eXtended_Logging_LOG.Log_Name, 
		      dbo.eXtended_Logging_LOG.Retention_Duration_In_Month,
                      dbo.eXtended_Logging_LOG.Start_DateTime AS Log_Start_DateTime, 
                      dbo.eXtended_Logging_LOG.LastUpdate_DateTime AS Log_LastUpdate_DateTime, dbo.eXtended_Logging_LOG.Log_Description, 
                      dbo.eXtended_Logging_LOG.Custom_Field_01 AS Log_Custom_Field_01, 
                      dbo.eXtended_Logging_LOG.Custom_Field_02 AS Log_Custom_Field_02, dbo.eXtended_Logging_STEP.StepID, 
                      dbo.eXtended_Logging_STEP.Runbook_Name, dbo.eXtended_Logging_STEP.Runbook_Server_Name, 
                      dbo.eXtended_Logging_STEP.Activity_Name, dbo.eXtended_Logging_STEP.Activity_Start_DateTime, 
                      dbo.eXtended_Logging_STEP.Activity_End_DateTime, dbo.eXtended_Logging_STEP.Status, 
                      dbo.eXtended_Logging_STEP.End_Status_Code, dbo.eXtended_Logging_STEP.End_Status_Description, 
                      dbo.eXtended_Logging_STEP.Custom_Field_01 AS Step_Custom_Field_01, 
                      dbo.eXtended_Logging_STEP.Custom_Field_02 AS Step_Custom_Field_02, 
                      dbo.eXtended_Logging_STEP.Custom_Field_03 AS Step_Custom_Field_03, 
                      dbo.eXtended_Logging_STEP.Custom_Field_04 AS Step_Custom_Field_04
FROM         dbo.eXtended_Logging_LOG INNER JOIN
                      dbo.eXtended_Logging_STEP ON dbo.eXtended_Logging_LOG.LogID = dbo.eXtended_Logging_STEP.LogID

GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[41] 4[33] 2[8] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "eXtended_Logging_LOG"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 114
               Right = 224
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "eXtended_Logging_STEP"
            Begin Extent = 
               Top = 6
               Left = 262
               Bottom = 114
               Right = 459
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 2505
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'eXtended_Logging_GETLOG'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'eXtended_Logging_GETLOG'
GO

