USE [master]
GO

/****** Object:  Database [eXtendedLogging]    Script Date: 06/17/2013 16:03:23 ******/
CREATE DATABASE [eXtendedLogging] ON  PRIMARY 
( NAME = N'eXtendedLogging', FILENAME = N'Z:\SGBDData\MSSQL11.SCOR\MSSQL\DATA\eXtendedLogging.mdf' , SIZE = 104448KB , MAXSIZE = UNLIMITED, FILEGROWTH = 102400KB )
 LOG ON 
( NAME = N'eXtendedLogging_log', FILENAME = N'Z:\SGBDData\MSSQL11.SCOR\MSSQL\DATA\eXtendedLogging_log.ldf' , SIZE = 1024KB , MAXSIZE = 2048GB , FILEGROWTH = 64512KB )
GO

ALTER DATABASE [eXtendedLogging] SET COMPATIBILITY_LEVEL = 100
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [eXtendedLogging].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [eXtendedLogging] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [eXtendedLogging] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [eXtendedLogging] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [eXtendedLogging] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [eXtendedLogging] SET ARITHABORT OFF 
GO

ALTER DATABASE [eXtendedLogging] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [eXtendedLogging] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [eXtendedLogging] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [eXtendedLogging] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [eXtendedLogging] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [eXtendedLogging] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [eXtendedLogging] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [eXtendedLogging] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [eXtendedLogging] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [eXtendedLogging] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [eXtendedLogging] SET  DISABLE_BROKER 
GO

ALTER DATABASE [eXtendedLogging] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [eXtendedLogging] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [eXtendedLogging] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [eXtendedLogging] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [eXtendedLogging] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [eXtendedLogging] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [eXtendedLogging] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [eXtendedLogging] SET  READ_WRITE 
GO

ALTER DATABASE [eXtendedLogging] SET RECOVERY FULL 
GO

ALTER DATABASE [eXtendedLogging] SET  MULTI_USER 
GO

ALTER DATABASE [eXtendedLogging] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [eXtendedLogging] SET DB_CHAINING OFF 
GO

